Skip to main content
GET
/
v1
/
groups
/
{groupId}
Get a group
curl --request GET \
  --url https://api.prod.getdex.com/v1/groups/{groupId} \
  --header 'Authorization: Bearer <token>'
{
  "error": true,
  "data": {
    "group": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>",
      "parent_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Use cases

  • Display group details on a group page
  • Fetch group metadata before editing it
  • Verify a group exists before adding contacts to it

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Path Parameters

groupId
string
required

Query Parameters

include
object

Response

Successful response

error
boolean
required
data
object
required